// Helpers - Automaticly generated methods for MediaInfo
// Copyright (C) 2005-2007 Jerome Martinez, Zen@MediaArea.net
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//
// Automaticly generated methods for MediaInfo
// Don't modify, this will be deleted at the next automatic update
//
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

//---------------------------------------------------------------------------
#include "FromMediaInfo/FromMediaInfo.h"
#include "ZenLib/InfoMap.h"
using namespace ZenLib;
//---------------------------------------------------------------------------

namespace MediaInfoLib
{

//---------------------------------------------------------------------------
//Duration
Ztring Duration_Duration3(int64s MS)
{
    int32s HH, MM, SS;
    Ztring DurationString1, DurationString2, DurationString3;
    bool Negative=false;

    if (MS<0)
    {
        Negative=true;
        MS=-MS;
    }

    //Hours
    HH=MS/1000/60/60; //h
    if (HH>0)
    {
        DurationString1+=Ztring::ToZtring(HH)+__T("h");
        DurationString2+=Ztring::ToZtring(HH)+__T("h");
        if (HH<10)
            DurationString3+=Ztring(__T("0"))+Ztring::ToZtring(HH)+__T(":");
        else
            DurationString3+=Ztring::ToZtring(HH)+__T(":");
        MS-=HH*60*60*1000;
    }
    else
    {
        DurationString3+=__T("00:");
    }

    //Minutes
    MM=MS/1000/60; //mn
    if (MM>0 || HH>0)
    {
        if (DurationString1.size()>0)
            DurationString1+=__T(" ");
        DurationString1+=Ztring::ToZtring(MM)+__T("mn");
        if (DurationString2.size()<5)
        {
            if (DurationString2.size()>0)
                DurationString2+=__T(" ");
            DurationString2+=Ztring::ToZtring(MM)+__T("mn");
        }
        if (MM<10)
            DurationString3+=Ztring(__T("0"))+Ztring::ToZtring(MM)+__T(":");
        else
            DurationString3+=Ztring::ToZtring(MM)+__T(":");
        MS-=MM*60*1000;
    }
    else
    {
        DurationString3+=__T("00:");
    }

    //Seconds
    SS=MS/1000; //s
    if (SS>0 || MM>0 || HH>0)
    {
        if (DurationString1.size()>0)
            DurationString1+=__T(" ");
        DurationString1+=Ztring::ToZtring(SS)+__T("s");
        if (DurationString2.size()<5)
        {
            if (DurationString2.size()>0)
                DurationString2+=__T(" ");
            DurationString2+=Ztring::ToZtring(SS)+__T("s");
        }
        else if (DurationString2.size()==0)
            DurationString2+=Ztring::ToZtring(SS)+__T("s");
        if (SS<10)
            DurationString3+=Ztring(__T("0"))+Ztring::ToZtring(SS)+__T(".");
        else
            DurationString3+=Ztring::ToZtring(SS)+__T(".");
        MS-=SS*1000;
    }
    else
    {
        DurationString3+=__T("00.");
    }

    //Milliseconds
    if (MS>0 || SS>0 || MM>0 || HH>0)
    {
        if (DurationString1.size()>0)
            DurationString1+=__T(" ");
        DurationString1+=Ztring::ToZtring(MS)+__T("ms");
        if (DurationString2.size()<5)
        {
            if (DurationString2.size()>0)
                DurationString2+=__T(" ");
            DurationString2+=Ztring::ToZtring(MS)+__T("ms");
        }
        if (MS<10)
            DurationString3+=Ztring(__T("00"))+Ztring::ToZtring(MS);
        else if (MS<100)
            DurationString3+=Ztring(__T("0"))+Ztring::ToZtring(MS);
        else
            DurationString3+=Ztring::ToZtring(MS);
    }
    else
    {
        DurationString3+=__T("000");
    }

    if (Negative)
    {
        DurationString1=Ztring(__T("-"))+DurationString1;
        DurationString2=Ztring(__T("-"))+DurationString2;
        DurationString3=Ztring(__T("-"))+DurationString3;
    }

    return DurationString3;
}

//---------------------------------------------------------------------------
void MediaInfo_Config_CodecID_Video_Riff (InfoMap &Info)
{
    Info.Separator_Set(0, __T("\n"));
    Info.Write(Ztring().From_UTF8(
    "0x00000000;RGB;;Basic Windows bitmap format. 1, 4 and 8 bpp versions are palettised. 16, 24 and 32bpp contain raw RGB samples;http://www.fourcc.org/indexrgb.htm;;;;\n"
    "0x00000001;RLE;;Run length encoded 8bpp RGB image;http://www.fourcc.org/indexrgb.htm;;;;\n"
    "0x00000002;RLE;;Run length encoded 4bpp RGB image;http://www.fourcc.org/indexrgb.htm;;;;\n"
    "0x00000003;RGB;;Raw RGB with arbitrary sample packing within a pixel. Packing and precision of R, G and B components is determined by bit masks for each;http://www.fourcc.org/indexrgb.htm;;;;\n"
    "1978;RGB;A.M.Paredes predictor;;http://www.pegasusimaging.com/cgi-bin/download2.cgi?LVIDB;;;RGB;\n"
    " BIT;RGB;;;;;;RGB;\n"
    " JPG;JPEG;;;;;;YUV\n"
    " PNG;PNG;;;;;;RGB;\n"
    " RAW;RGB;;;http://www.fourcc.org/indexrgb.htm;;;RGB;\n"
    " raw;RGB;;;http://www.fourcc.org/indexrgb.htm;;;RGB;\n"
    " RGB;RGB;;;http://www.fourcc.org/indexrgb.htm;;;RGB;\n"
    " RL4;RLE;;;http://www.fourcc.org/indexrgb.htm;;;RGB;;4\n"
    " RL8;RLE;;;http://www.fourcc.org/indexrgb.htm;;;RGB;;8\n"
    "2VUY;YUV;Optibase VideoPump;;;;;YUV;4:2:2\n"
    "3IV0;MPEG-4 Visual;3ivX;3ivX pre-1.0;http://www.3ivx.com/download/;;;YUV;4:2:0\n"
    "3IV1;MPEG-4 Visual;3ivX;3ivX 1.0-3.5;http://www.3ivx.com/download/;;;YUV;4:2:0\n"
    "3IV2;MPEG-4 Visual;3ivX;3ivX 4.0;http://www.3ivx.com/download/;;;YUV;4:2:0\n"
    "3IVD;MPEG-4 Visual;3ivX;;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "3IVX;MPEG-4 Visual;3ivX;;http://www.3ivx.com/download/;;;YUV;4:2:0\n"
    "3VID;MPEG-4 Visual;3ivX;;http://www.3ivx.com/download/;;;YUV;4:2:0\n"
    "8BPS;RGB;Apple;;http://ffdshow-tryout.sourceforge.net/;;;RGBA\n"
    "AAS4;RLE;Autodesk;;http://mirror01.iptelecom.net.ua/~video/codecs/Autodesk.Animator.v1.11.Codec.exe;;;RGB\n"
    "AASC;RLE;Autodesk;;http://mirror01.iptelecom.net.ua/~video/codecs/Autodesk.Animator.v1.11.Codec.exe;;;RGB\n"
    "ABYR;Kensigton low;Kensington;Low resolution, low frame rate (6fps) for digital cameras;;;;\n"
    "ACTL;ACT-L2;Streambox;;http://www.streambox.com/products/act-L2_codec.htm;;;\n"
    "ADV1;WaveCodec;Loronix;;http://www.loronix.com/products/video_clips/wavecodec.asp;;;\n"
    "ADVJ;JPEG;Avid;;;;;YUV\n"
    "AEIK;Indeo 3.2;;Vector Quantization;;;;\n"
    "AEMI;MPEG Video;VideoONE;MPEG-1-I Capture;http://www.array.com;;;YUV;4:2:0\n"
    "AFLC;FLC;Autodesk;;http://mirror01.iptelecom.net.ua/~video/codecs/Autodesk.Animator.v1.11.Codec.exe;;;\n"
    "AFLI;FLI;Autodesk;;http://mirror01.iptelecom.net.ua/~video/codecs/Autodesk.Animator.v1.11.Codec.exe;;;\n"
    "AHDV;CineForm;CineForm HD;;http://www.cineform.com/products/ConnectHD.htm;;;\n"
    "AJPG;JPEG;;22fps for digital cameras;;;;YUV\n"
    "ALPH;Ziracom;;Ziracom Digital Communications Inc.;;;;\n"
    "AMM2;AMV2 MT;AMV2 MT Video Codec Version 2;;http://amamaman.hp.infoseek.co.jp/english/amv2_e.html;;;\n"
    "AMPG;MPEG-1;VideoONE;;http://www.array.com;;;YUV;4:2:0\n"
    "AMR ;AMR;;Speech codec;;;;\n"
    "AMV3;AMV3;AMV3 Video Codec Version 3;;http://amamaman.hp.infoseek.co.jp/english/amv2_e.html;;;YUV;4:2:0\n"
    "ANIM;RDX;Intel;;;;;\n"
    "AP41;MPEG-4 Visual;AngelPotion;Hack of MS MPEG-4 v3;http://www.divxity.com/download/ap4v1-702.exe;;;YUV;4:2:0\n"
    "AP42;MPEG-4 Visual;AngelPotion;Hack of MS MPEG-4 v3;http://www.divxity.com/download/ap4v1-702.exe;;;YUV;4:2:0\n"
    "ASLC;AlparySoft Lossless;;;http://www.free-codecs.com/download/Alparysoft_Lossless_Video_Codec.htm;;;\n"
    "ASV1;Asus 1;;;ftp://ftp.asuscom.de/pub/asuscom/treiber/vga/ASUS_VGA_TOOLS/asv2dec.zip;;;\n"
    "ASV2;Asus 2;;;ftp://ftp.asuscom.de/pub/asuscom/treiber/vga/ASUS_VGA_TOOLS/asv2dec.zip;;;\n"
    "ASVX;Asus X;;;ftp://ftp.asuscom.de/pub/asuscom/treiber/vga/ASUS_VGA_TOOLS/asv2dec.zip;;;\n"
    "ATM4;MPEG-4 Visual;Nero;;http://www.nero.com;;;YUV;4:2:0\n"
    "AUR2;YUV;;Auravision Aura 2;;;;YUV;4:2:2\n"
    "AURA;YUV;;Auravision Aura 1;;;;YUV;4:1:1\n"
    "AUVX;AUVX;;USH GmbH;;;;\n"
    "AV1X;Avid 1:1;;;http://mirror01.iptelecom.net.ua/~video/codecs/Avid.VfW.codec.v2.0d2.exe;;;\n"
    "AVC1;AVC;;;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "avc1;AVC;;;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "AVD1;DV;Avid;;http://mirror01.iptelecom.net.ua/~video/codecs/Avid.VfW.codec.v2.0d2.exe;;;YUV;\n"
    "AVDJ;JPEG;Avid;;http://mirror01.iptelecom.net.ua/~video/codecs/Avid.VfW.codec.v2.0d2.exe;;;YUV\n"
    "AVDN;Avid HD;;;http://mirror01.iptelecom.net.ua/~video/codecs/Avid.VfW.codec.v2.0d2.exe;;;;\n"
    "AVDV;DV;Avid;;http://mirror01.iptelecom.net.ua/~video/codecs/Avid.VfW.codec.v2.0d2.exe;;;YUV;\n"
    "AVI1;JPEG;MainConcept;;;;;YUV\n"
    "AVI2;JPEG;MainConcept;;;;;YUV\n"
    "AVID;JPEG;Avid;;http://mirror01.iptelecom.net.ua/~video/codecs/Avid.VfW.codec.v2.0d2.exe;;;YUV\n"
    "AVIS;AviSynth;;Wrapper for AviSynth (Dummy);http://ffdshow-tryout.sourceforge.net/;;;;\n"
    "AVMP;Avid IMX;;;http://mirror01.iptelecom.net.ua/~video/codecs/Avid.VfW.codec.v2.0d2.exe;;;;\n"
    "AVR ;JPEG;Avid NuVista;Avid ABVB/NuVista JPEG with Alpha-channel;;;;YUV\n"
    "AVRn;JPEG;Avid JPEG;;http://mirror01.iptelecom.net.ua/~video/codecs/Avid.VfW.codec.v2.0d2.exe;;;YUV\n"
    "AVRN;JPEG;Avid JPEG;;http://mirror01.iptelecom.net.ua/~video/codecs/Avid.VfW.codec.v2.0d2.exe;;;YUV\n"
    "AVUI;Avid;;Avid Meridien Uncompressed with Alpha-channel;http://mirror01.iptelecom.net.ua/~video/codecs/Avid.VfW.codec.v2.0d2.exe;;;;\n"
    "AVUP;Avid;;Avid 10bit Packed (Quick Time);http://mirror01.iptelecom.net.ua/~video/codecs/Avid.VfW.codec.v2.0d2.exe;;;;\n"
    "AYUV;YUV;YUV;;;;;YUVA;4:4:4;8\n"
    "AZPR;QuickTime;;;http://www.apple.com/quicktime/download/standalone.html;;;\n"
    "AZRP;QuickTime;;;http://www.apple.com/quicktime/download/standalone.html;;;\n"
    "BGR ;RGB;RGB;;;;;RGB\n"
    "BHIV;BeHere iVideo;;;;;;\n"
    "BINK;Bink;;;;;;\n"
    "BIT ;RGB;RGB;;;;;RGB\n"
    "BITM;H.261;Microsoft;;;;;YUV\n"
    "BLOX;MPEG Video;Blox;;http://www.ii.uj.edu.pl/~jezabek/blox/blox-0.1.0b.zip;;;YUV;4:2:0\n"
    "BLZ0;MPEG-4 Visual;DivX;DivX for Blizzard Decoder Filter;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "BT20;MediaStream;;Conexant ProSummer MediaStream;;;;\n"
    "BTCV;Composite;;Conexant Composite Video;;;;\n"
    "BTVC;Composite;;Conexant Composite Video;;;;\n"
    "BW00;Wavelet;BergWave;;;;;\n"
    "BW10;MPEG-1;Broadway;Data Translation Broadway MPEG Capture/Compression;;;;YUV\n"
    "BXBG;RGB;Boxx;;;;;RGB\n"
    "BXRG;RGB;Boxx;;;;;RGB\n"
    "BXY2;YUV;Boxx;10-bit;;;;YUV\n"
    "BXYV;YUV;Boxx;;;;;YUV\n"
    "CC12;YUV;Intel;;;;;YUV\n"
    "CDV5;DV;Canopus;Canopus SD50/DVHD;http://www.cineform.com/products/ConnectHD.htm;;;YUV\n"
    "CDVC;DV;Canopus;Canopus DV (DV);http://www.cineform.com/products/ConnectHD.htm;;;YUV\n"
    "CDVH;DV;Canopus;Canopus SD50/DVHD;http://www.cineform.com/products/ConnectHD.htm;;;YUV\n"
    "CFCC;JPEG;DPS Perception;Dummy format - only AVI header;;;;YUV\n"
    "CFHD;CineForm;;CineForm 10-bit Visually Perfect HD (Wavelet);;;;\n"
    "CGDI;Camcorder;;Camcorder Video (MS Office 97);;;;\n"
    "CHAM;Champagne;;Winnov Caviara Champagne;;;;\n"
    "CJPG;JPEG;Creative;Creative Video Blaster Webcam Go JPEG;;;;YUV\n"
    "CLJR;YUV;Cirrus Logic;Less than 8 bits per Y, U and V sample.;http://www.fourcc.org/indexyuv.htm;;;YUV;4:1:1\n"
    "CLLC;Canopus;;Canopus LossLess;;;;\n"
    "CLPL;YUV;;Format similar to YV12 but including a level of indirection.;;;;YUV\n"
    "CM10;MediaShow;;CyberLink Corporation;http://www.cyberlink.com;;;\n"
    "CMYK;CMYK;;Common Data Format in Printing;;;;\n"
    "COL0;MPEG-4 Visual;;Hacked MS MPEG-4 v3;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "COL1;MPEG-4 Visual;;Hacked MS MPEG-4 v3;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "CPLA;YUV;Weitek;;;;;YUV;4:2:0\n"
    "CRAM;MS Video;;Microsoft Video 1;;;;\n"
    "CSCD;CamStudio;;RenderSoft CamStudio lossless (LZO & GZIP compression);;;;\n"
    "CT10;TalkingShow;;CyberLink Corporation;http://www.cyberlink.com;;;\n"
    "CTRX;Citrix;;Citrix Scalable Video;;;;\n"
    "CUVC;Canopus HQ;;Canopus HQ;;;;\n"
    "CVID;Cinepack;;;http://www.cinepak.com/text.html;;;\n"
    "cvid;Cinepack;;;http://www.cinepak.com/text.html;;;\n"
    "CWLT;WLT;;Microsoft Color WLT DIB;;;;\n"
    "CYUV;YUV;Creative Labs;;http://www.fourcc.org/indexyuv.htm;;;YUV;4:2:2\n"
    "cyuv;YUV;;;http://www.fourcc.org/indexyuv.htm;;;YUV;4:2:2\n"
    "CYUY;YUV;ATI;;http://www.fourcc.org/indexyuv.htm;;;YUV;4:2:2\n"
    "D261;H.261;DEC;;;;;\n"
    "D263;H.263;DEC;;;;;\n"
    "DAVC;AVC;Dicas;;;;;YUV;4:2:0\n"
    "DC25;DV;MainConcept;;;;;YUV\n"
    "DCAP;DV;Pinnacle;;;;;YUV\n"
    "DCL1;Data Connextion;;Conferencing;;;;\n"
    "DCT0;WniWni;;;;;;\n"
    "DFSC;VFW;;DebugMode FrameServer VFW;;;;\n"
    "DIB ;RGB;;;;;;RGB\n"
    "DIV1;MPEG-4 Visual;FFMpeg;Hacked MS MPEG-4 V1;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "DIV2;MPEG-4 Visual;MS MPEG-4 1/2;;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "DIV3;MPEG-4 Visual;DivX 3 Low;;http://www.divx.com;;;YUV;4:2:0\n"
    "DIV4;MPEG-4 Visual;DivX 3 Fast;;http://www.divx.com;;;YUV;4:2:0\n"
    "DIV5;MPEG-4 Visual;DivX 5;;http://www.divx.com;;;YUV;4:2:0\n"
    "DIV6;MPEG-4 Visual;MS MPEG-4 v3;;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "DIVX;MPEG-4 Visual;DivX 4;Project Mayo;http://mediaarea.net/DIVX;;;YUV;4:2:0\n"
    "divx;MPEG-4 Visual;DivX;Mainly used by Google;http://www.divx.com;;;YUV;4:2:0\n"
    "DJPG;JPEG;Broadway 101;Data Translation, Inc.;;;;YUV\n"
    "DM4V;MPEG-4 Visual;Dicas;;;;;YUV;4:2:0\n"
    "DMB1;JPEG;Rainbow;Matrox Rainbow Runner hardware compression;http://mirror01.iptelecom.net.ua/~video/codecs/PICVideo.MJPG.v2.10.27.codec.exe;;;YUV\n"
    "DMB2;JPEG;Paradigm;;;;;YUV\n"
    "DMK2;V36 PDA;;ViewSonic V36 PDA Video;;;;\n"
    "DP02;MPEG-4 Visual;DynaPel;;;;;YUV;4:2:0\n"
    "DP16;YUV;Matsushita;With DPCM 6-bit compression;;;;YUV;4:1:1\n"
    "DP18;YUV;Matsushita;With DPCM 8-bit compression;;;;YUV;4:1:1\n"
    "DP26;YUV;Matsushita;With DPCM 6-bit compression;;;;YUV;4:2:2\n"
    "DP28;YUV;Matsushita;With DPCM 8-bit compression;;;;YUV;4:2:2\n"
    "DP96;YUV;Matsushita;With DPCM 6-bit compression;;;;YUV\n"
    "DP98;YUV;Matsushita;With DPCM 8-bit compression;;;;YUV\n"
    "DP9L;YUV;Matsushita;With DPCM 6-bit compression;;;;YUV\n"
    "DPS0;JPEG;DPS Reality;Dummy format - only AVI header;;;;YUV\n"
    "DPSC;JPEG;DPS PAR;Dummy format - only AVI header;;;;YUV\n"
    "DRWX;DV;Pinnacle;;;;;YUV\n"
    "DSVD;DV;Microsoft;;;;;YUV\n"
    "DTMT;Media-100;;;;;\n"
    "DTNT;Media-100;;;;;\n"
    "DUCK;TrueMotion S;Duck Corporation;;;;\n"
    "DV10;RGB;BlueFish;BlueFish444 (lossless RGBA, YUV 10-bit);;;;RGB\n"
    "DV25;DV;DVCPro;;;;;YUV\n"
    "dv25;DV;DVCPro;;;;;YUV\n"
    "DV50;DV;DVCPro5;;;;;YUV\n"
    "dv50;DV;DVCPro5;;;;;YUV\n"
    "DVAN;DV;Pinnacle DV300;;;;;YUV\n"
    "DVC ;DV;Apple;;http://www.apple.com/quicktime/download/standalone.html;;;YUV\n"
    "DVCP;DV;Apple;;http://www.apple.com/quicktime/download/standalone.html;;;YUV\n"
    "DVCS;DV;MainConcept;;;;;YUV\n"
    "DVE2;DV;Insoft DVE-2;InSoft DVE-2 Videoconferencing;;;;YUV\n"
    "DVH1;DV;Pinnacle;;;;;YUV\n"
    "dvhd;DV;HD;;;;;YUV\n"
    "DVIS;DV;DualMoon;;;;;YUV\n"
    "DVL ;DV;Radius;;;;;YUV\n"
    "DVLP;DV;Radius;;;;;YUV\n"
    "DVMA;DV;Darim;;;;;YUV\n"
    "DVNM;DVNM;;Matsushita Electric Industrial Co., Ltd.;;;;\n"
    "DVOR;RGB;BlueFish;BlueFish444 (lossless RGBA, YUV 10-bit);;;;RGB\n"
    "DVPN;DV;Apple;;;;;YUV\n"
    "DVPP;DV;Apple;;;;;YUV\n"
    "DVR ;MPEG Video;ASF;;;;;YUV;4:2:0\n"
    "DVR1;Targa2000;;;;;;\n"
    "DVRS;DV;DualMoon;;;;;YUV\n"
    "dvsd;DV;Sony;;;;;YUV\n"
    "dvsl;DV;Sony;;;;;YUV\n"
    "DVSL;DV;;;;;;YUV\n"
    "DVX1;DVX 1 SP;;Lucent DVX1000SP Video Decoder;;;;\n"
    "DVX2;DVX 2 S;;Lucent DVX2000S Video Decoder;;;;\n"
    "DVX3;DVX 3 S;;Lucent DVX3000S Video Decoder;;;;\n"
    "DX50;MPEG-4 Visual;DivX 5;;http://mediaarea.net/DX50;;;YUV;4:2:0\n"
    "DXGM;EA GameVideo;;;;;;\n"
    "DXT1;DirectX TC;;DirectX Compressed Texture (1bit alpha channel)\n"
    "DXT2;DirectX TC;;DirectX Compressed Texture\n"
    "DXT3;DirectX TC;;DirectX Compressed Texture (4bit alpha channel)\n"
    "DXT4;DirectX TC;;DirectX Compressed Texture\n"
    "DXT5;DirectX TC;;DirectX Compressed Texture (3bit alpha channel with interpolation)\n"
    "DXTC;DirectX TC;;DirectX Texture Compression\n"
    "DXTn;DirectX TC;;Microsoft Compressed Texture\n"
    "DXTN;DirectX TC;;Microsoft DirectX Compressed Texture (DXTn)\n"
    "EKQ0;Elsa KQ;;Elsa graphics card quick\n"
    "ELK0;Elsa LK;;Elsa graphics card\n"
    "EM2V;Elymonyx MPEG-2;;Etymonix MPEG-2 I-frame\n"
    "EQK0;Elsa;;Elsa graphics card quick\n"
    "ESCP;Escape;;Eidos Escape\n"
    "ETV1;eTreppid 1;;eTreppid Video 1\n"
    "ETV2;eTreppid 2;;eTreppid Video 2\n"
    "ETVC;eTreppid C;;eTreppid Video C\n"
    "FFDS;FFDS;;;http://ffdshow-tryout.sourceforge.net/;;;\n"
    "FFV1;FFV1;;;http://ffdshow-tryout.sourceforge.net/;;;\n"
    "FFV2;FFV2;;;http://ffdshow-tryout.sourceforge.net/;;;\n"
    "FFVH;FFVH;;;http://ffdshow-tryout.sourceforge.net/;;;\n"
    "FLIC;FLI/FLC;Autodesk;;;;;\n"
    "FLJP;DField JPEG;;D-Vision Field Encoded JPEG with LSI (or Targa emulation);;;;\n"
    "FLV1;Sorenson Spark;;;http://ffdshow-tryout.sourceforge.net/;;;\n"
    "FLV4;VP6;On2;;http://ftp.pub.cri74.org/pub/win9x/video/codecs/VP6/vp6_vfw_codec.exe;Heightened Sharpness;;\n"
    "FMJP;JPEG;D-Vision;;;;;YUV\n"
    "FMP4;MPEG-4 Visual;;;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "FPS1;Fraps;;;http://www.fraps.com/;;;\n"
    "FRLE;JPEG;SoftLab-Nsk;SoftLab-NSK Y16 + Alpha RLE;;;;YUV\n"
    "FRWA;JPEG;SoftLab-Nsk;SoftLab-NSK Vision Forward JPEG with Alpha-channel;;;;YUV\n"
    "FRWD;JPEG;SoftLab-Nsk;SoftLab-NSK Vision Forward JPEG;;;;YUV\n"
    "FRWT;JPEG;SoftLab-Nsk;SoftLab-NSK Vision Forward JPEG with Alpha-channel;;;;YUV\n"
    "FRWU;JPEG;SoftLab-Nsk;SoftLab-NSK Vision Forward Uncompressed;;;;YUV\n"
    "FVF1;Itered Fractal;;;;;;\n"
    "FVFW;FVFW;;;http://ffdshow-tryout.sourceforge.net/;;;\n"
    "FXT1;3DFX;;;;;;\n"
    "G2M2;GoToMeeting2;;Citrix Systems, Inc.;http://www.gotomeeting.com/;;;\n"
    "G2M3;GoToMeeting3;;Citrix Systems, Inc.;http://www.gotomeeting.com/;;;\n"
    "GEPJ;JPEG;White Pine;;;;;YUV\n"
    "GJPG;Grand Tech GT891x;;;;;;\n"
    "GLCC;GigaLink;;;;;;\n"
    "GLZW;LZW;Gabest;;http://sourceforge.net/project/showfiles.php?group_id=82303&package_id=84358;;;\n"
    "GMP4;GeoVision Advanced MPEG-4;;;http://www.geovision.com.tw/;;;\n"
    "GM40;GeoVision Advanced MPEG-4;;;http://www.geovision.com.tw/;;;\n"
    "GPEG;JPEG;Gabest;;http://sourceforge.net/project/showfiles.php?group_id=82303&package_id=84358;;;YUV\n"
    "GPJM;JPEG;Pinnacle;;;;;YUV\n"
    "GREY;YUV;;Simple grayscale video;http://www.fourcc.org/indexyuv.htm;;;YUV\n"
    "GWLT;MS GWLT;;Microsoft Greyscale WLT DIB;;;;\n"
    "GXVE;ViVD V2;SoftMedia;;;;;\n"
    "H260;H.260;;;;;;\n"
    "H261;H.261;;;;;;\n"
    "H262;MPEG Video;;;;;;YUV;4:2:0\n"
    "H263;H.263;;;;;;\n"
    "h263;H.263;;;http://www.apple.com/quicktime/download/standalone.html;;;\n"
    "H264;AVC;;;;;;YUV;4:2:0\n"
    "h264;AVC;;;;;;YUV;4:2:0\n"
    "H265;H.265;;;;;;\n"
    "H266;H.266;;;;;;\n"
    "H267;H.267;;;;;;\n"
    "H268;H.268;;;;;;\n"
    "H269;H.263;;;;;;\n"
    "HD10;RGB;BlueFish;BlueFish444 (lossless RGBA, YUV 10-bit);;;;RGB\n"
    "HDX4;Jomigo HDX4;;;;;;\n"
    "HFYU;Huffman;;;;;;\n"
    "HMCR;Rendition;;Rendition Motion Compensation Format;;;;\n"
    "HMRR;Rendition;;Rendition Motion Compensation Format;;;;\n"
    "i263;H.263;;;;;;\n"
    "I420;YUV;;8 bit Y plane followed by 8 bit 2x2 subsampled U and V planes.;;;;\n"
    "IAN ;Indeo 4;;;;;;\n"
    "ICLB;CellB;;InSoft CellB Videoconferencing;;;;\n"
    "IDM0;Wavelets 2;;IDM Motion Wavelets 2.0;;;;\n"
    "IF09;H.261;Microsoft;;;;;\n"
    "IFO9;YUV;Intel;;;;;YUV\n"
    "IGOR;PowerDVD;;;;;;\n"
    "IJPG;JPEG;Intergraph;;;;;YUV\n"
    "ILVC;Layered Video;Intel;;;;;\n"
    "ILVR;H.263+;;;;;;\n"
    "IMAC;MotionComp;;Intel hardware motion compensation.;;;;\n"
    "IMC1;YUV;;As YV12, except the U and V planes each have the same stride as the Y plane;;;;YUV\n"
    "IMC2;YUV;;Similar to IMC1, except that the U and V lines are interleaved at half stride boundaries;;;;YUV\n"
    "IMC3;YUV;;As IMC1, except that U and V are swapped;;;;YUV\n"
    "IMC4;YUV;;As IMC2, except that U and V are swapped;;;;YUV\n"
    "IMG ;YUV;;;;;;YUV\n"
    "IMJG;Accom JPEG;;Accom SphereOUS JPEG with Alpha-channel;;;;\n"
    "IPDV;I-O DV;;I-O Data Device Giga AVI DV;;;\n"
    "IPJ2;JPEG 2000;;Image Power JPEG 2000;;;\n"
    "IR21;Indeo 2.1;;;;;\n"
    "IRAW;YUV;;;http://www.fourcc.org/indexyuv.htm;;;YUV\n"
    "ISME;ISME;;Intel;;;\n"
    "IUYV;YUV;;Lead 16bpp. Interlaced version of UYVY (line order 0, 2, 4,....,1, 3, 5....);;;;YUV\n"
    "IV30;Indeo 3;;Intel Indeo Video 3;;;\n"
    "IV31;Indeo 3;;Intel Indeo Video 3.1;;;\n"
    "IV32;Indeo 3;;Intel Indeo Video 3.2;;;\n"
    "IV33;Indeo 3;;Intel Indeo Video 3.3;;;\n"
    "IV34;Indeo 3;;Intel Indeo Video 3.4;;;\n"
    "IV35;Indeo 3;;Intel Indeo Video 3.5;;;\n"
    "IV36;Indeo 3;;Intel Indeo Video 3.6;;;\n"
    "IV37;Indeo 3;;Intel Indeo Video 3.7;;;\n"
    "IV38;Indeo 3;;Intel Indeo Video 3.8;;;\n"
    "IV39;Indeo 3;;Intel Indeo Video 3.9;;;\n"
    "IV40;Indeo 4;;Intel Indeo Video 4.0;;;\n"
    "IV41;Indeo 4;;Intel Indeo Video 4.1;;;\n"
    "IV42;Indeo 4;;Intel Indeo Video 4.2;;;\n"
    "IV43;Indeo 4;;Intel Indeo Video 4.3;;;\n"
    "IV44;Indeo 4;;Intel Indeo Video 4.4;;;\n"
    "IV45;Indeo 4;;Intel Indeo Video 4.5;;;\n"
    "IV46;Indeo 4;;Intel Indeo Video 4.6;;;\n"
    "IV47;Indeo 4;;Intel Indeo Video 4.7;;;\n"
    "IV48;Indeo 4;;Intel Indeo Video 4.8;;;\n"
    "IV49;Indeo 4;;Intel Indeo Video 4.9;;;\n"
    "IV50;Indeo 4;;Intel Indeo Video 5.0 Wavelet;http://www.fourcc.org/indexyuv.htm;;\n"
    "IY41;YUV;;Lead 16bpp. Interlaced version of Y41P (line order 0, 2, 4,....,1, 3, 5....);http://www.fourcc.org/indexyuv.htm;;;YUV\n"
    "IYU1;YUV;;IEEE1394 12bpp. 12 bit format used in mode 2 of the IEEE 1394 Digital Camera 1.04 spec;http://www.fourcc.org/indexyuv.htm;;;YUV\n"
    "IYU2;YUV;;IEEE1394 24bpp. 24 bit format used in mode 2 of the IEEE 1394 Digital Camera 1.04 spec;;;;YUV\n"
    "IYUV;YUV;;Intel Indeo iYUV 4:2:0;;;;YUV\n"
    "JBYR;Kensington;;Kensington Video;http://ffdshow-tryout.sourceforge.net/;;\n"
    "JFIF;JPEG;;;;;;YUV\n"
    "JPEG;JPEG;;;http://www.apple.com/quicktime/download/standalone.html;;;YUV\n"
    "JPG;JPEG;;;http://mirror01.iptelecom.net.ua/~video/codecs/PICVideo.Lossless.JPEG.codec.v2.10.27.exe;;;YUV\n"
    "JPGL;JPEG;Pegasus;DIVIO JPEG Light for WebCams (Pegasus Lossless JPEG);;;;YUV\n"
    "KMVC;Karl;;Karl Morton's Video (presumably);http://www.apple.com/quicktime/download/standalone.html;;;\n"
    "kpcd;Photo CD;;Kodak Photo CD;;;;\n"
    "L261;H.261;Lead Technologies;;;;;\n"
    "L263;H.263+;Lead Technologies;;;;;\n"
    "LAGS;Lagarith;;;;;;\n"
    "LBYR;Creative WebCam;;;;;;\n"
    "LCMW;Lead CMW;;Lead Technologies Motion CMW;;;;\n"
    "LCW2;Lead MCMW;;LEADTools MCMW 9Motion Wavelet;http://mirror01.iptelecom.net.ua/~video/codecs/LEAD.MCMP-JPEG.v1.016.codec.exe;;;\n"
    "LEAD;Lead Video;;;;;;\n"
    "LGRY;Lead GrayScale;;;;;;\n"
    "LIA1;Liafail;;Liafail, Inc.;;;;\n"
    "LJ2K;JPEG 2000;Lead;;http://mirror01.iptelecom.net.ua/~video/codecs/LEAD.MCMP-JPEG.v1.016.codec.exe;;;\n"
    "LJPG;JPEG;Lead;;http://mirror01.iptelecom.net.ua/~video/codecs/LEAD.MCMP-JPEG.v1.016.codec.exe;;;YUV\n"
    "Ljpg;JPEG;Lead;;;;;YUV\n"
    "LMP2;MPEG-PS;Lead;;;;;\n"
    "LOCO;LOCO;;Lossless;;;;\n"
    "LSCR;Lead Screen capture;;;;;;\n"
    "LSV0;LSV0;;Infinop Inc.;;;;\n"
    "LSVC;Vmail;;Vianet Lighting Strike Vmail (Streaming);;;;\n"
    "LSVM;Vmail;;Vianet Lighting Strike Vmail (Streaming);;;;\n"
    "LSVW;Infinop;;Infinop Lightning Strike multiple bit rate video codec.;;;;\n"
    "LSVX;Vmail;;Vianet Lightning Strike Video Codec;;;;\n"
    "LZO1;LZO;;LZO compressed (lossless);;;;\n"
    "M101;YUV;Matrox;;;;;YUV\n"
    "M261;H.261;Microsoft;;;;;\n"
    "M263;H.263;Microsoft;;;;;\n"
    "M4CC;MPEG-4 Visual;ESS Divo;;;;;YUV;4:2:0\n"
    "M4S2;MPEG-4 Visual;Microsoft;;;;;YUV;4:2:0\n"
    "MC12;ATI Motion;;ATI Motion Compensation Format;;;;\n"
    "MC24;JPEG;MainConcept;;;;;YUV\n"
    "MCAM;ATI Motion;;ATI Motion Compensation Format;;;;\n"
    "MCZM;RGB;;Theory MicroCosm Lossless 64bit RGB with Alpha-channel;;;;RGB\n"
    "MDVD;MicroDVD;;Alex MicroDVD Video (hacked MS MPEG-4);;;;\n"
    "MDVF;DV;Pinnacle;Pinnacle DV/DV50/DVHD100;;;;YUV\n"
    "MHFY;YUV;;A.M.Paredes mhuffyYUV (LossLess);http://mirror01.iptelecom.net.ua/~video/codecs/Pinnacle.ReelTime.v2.5.software.only.codec.exe;;;YUV\n"
    "MJ2C;JPEG 2000;;Morgan Multimedia JPEG 2000 Compression;http://mirror01.iptelecom.net.ua/~video/codecs/Pinnacle.ReelTime.v2.5.software.only.codec.exe;;;\n"
    "MJPA;JPEG;Pinacle;Pinnacle ReelTime MJPG hardware;http://mediaxw.sourceforge.net;;;YUV\n"
    "MJPB;JPEG;Pinacle B;;;;;YUV\n"
    "MJPG;JPEG;;;;;;YUV\n"
    "mJPG;JPEG;IBM;Including Huffman Tables;;;;YUV\n"
    "MJPX;JPEG;Pegasus;Pegasus PICVideo JPEG;;;;YUV\n"
    "ML20;Webcam;;Mimic MSN Messenger Webcam;;;;\n"
    "MLCY;MLC;;MLC Lossless Codec;http://www.linek.sk/mlc/;;;;;;Lossless\n"
    "MMES;MPEG Video;Matrox;I-frame;;;;YUV;4:2:0\n"
    "MMIF;MPEG Video;Matrox;I-frame;;;;YUV;4:2:0\n"
    "MNVD;MindVid;;MindBend MindVid LossLess;;;;\n"
    "MP2V;MPEG Video;;Media Excel MPEG-2 Video;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "MP2v;MPEG Video;;MPEG-2 Video;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "MP41;MPEG-4 Visual;Microsoft;Microsoft MPEG-4 v1 (pre-standard);http://ffdshow-tryout.sourceforge.net/;;;\n"
    "MP42;MPEG-4 Visual;Microsoft;Microsoft MPEG-4 v2 (pre-standard);http://www.apple.com/quicktime/download/standalone.html;;;\n"
    "MP43;MPEG-4 Visual;Microsoft;Microsoft MPEG-4 v3 (pre-standard);;;;\n"
    "MP4S;MPEG-4 Visual;MS MPEG-4 v3;Microsoft MPEG-4 (Windows Media 7.0);;;;YUV;4:2:0\n"
    "MP4V;MPEG-4 Visual;;Apple QuickTime MPEG-4 native;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "MPEG;MPEG Video;;Chromatic MPEG 1 Video I Frame;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "mpeg;MPEG Video;;MPEG-1 Video;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "MPG1;MPEG Video;Ffmpeg;(MPEG-1/2) FFmpeg;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "mpg1;MPEG Video;Ffmpeg;(MPEG-1/2) FFmpeg;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "MPG2;MPEG Video;Ffmpeg;(MPEG-1/2) FFmpeg;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "mpg2;MPEG Video;Ffmpeg;(MPEG-1/2) FFmpeg;http://ffdshow-tryout.sourceforge.net/;;;YUV;4:2:0\n"
    "MPG3;MPEG-4 Visual;FFmpeg DivX 3;(MPEG-4) MS MPEG-4 v3;;;;YUV;4:2:0\n"
    "MPG4;MPEG-4 Visual;MS MPEG-4 v1;Microsoft MPEG-4 v1;;;;YUV;4:2:0\n"
    "MPGI;MPEG Video;Sigma;Sigma Design MPEG-1 I-frame;;;;YUV;4:2:0\n"
    "MPNG;PNG;;Motion PNG;;;;\n"
    "MRCA;Mrcodec;;FAST Multimedia;;;;\n"
    "MRLE;RLE;;Microsoft RLE;;;;RGB\n"
    "MSS1;Screen Video;Windows;Windows Screen Video;;;;\n"
    "MSS2;Windows Media;;Windows Media 9;;;;\n"
    "MSUC;MSU;;MSU LossLess;;;;\n"
    "MSUD;MSU;;MSU LossLess;;;;\n"
    "MSV1;Microsoft Video 1;;Microsoft Video 1;;;;\n"
    "MSVC;Microsoft Video 1;;Microsoft Video 1;;;;\n"
    "MSZH;AVImszh;;Lossless (ZIP compression);;;;\n"
    "MTGA;TGA;;Motion TGA images (24, 32 bpp);;;;\n"
    "MTX1;JPEG;Matrox;;;;;YUV\n"
    "MTX2;JPEG;Matrox;;;;;YUV\n"
    "MTX3;JPEG;Matrox;;;;;YUV\n"
    "MTX4;JPEG;Matrox;;;;;YUV\n"
    "MTX5;JPEG;Matrox;;;;;YUV\n"
    "MTX6;JPEG;Matrox;;;;;YUV\n"
    "MTX7;JPEG;Matrox;;;;;YUV\n"
    "MTX8;JPEG;Matrox;;;;;YUV\n"
    "MTX9;JPEG;Matrox;;;;;YUV\n"
    "MV10;Nokia;;Nokia Mobile Phones;;;;\n"
    "MV11;Nokia;;Nokia Mobile Phones;;;;\n"
    "MV12;MVI;;Motion Pixels (old);;;;\n"
    "MV99;Nokia;;Nokia Mobile Phones;;;;\n"
    "MVC1;Nokia;;Nokia Mobile Phones;;;;\n"
    "MVC2;Nokia;;Nokia Mobile Phones;;;;\n"
    "MVC9;Nokia;;Nokia Mobile Phones;;;;\n"
    "MVI1;MVI;;Motion Pixels MVI;;;;\n"
    "MVI2;MVI;;Motion Pixels MVI;;;;\n"
    "MWV1;Aware Motion Wavelets;;Aware Motion Wavelets;;;;\n"
    "MYUV;RGB;;Media-100 844/X Uncompressed;;;;RGB\n"
    "NAVI;MPEG-4 Visual;;nAVI video (hacked MS MPEG-4);;;;YUV;4:2:0\n"
    "NDIG;MPEG-4 Visual;Ahead;Ahead Nero Digital MPEG-4;;;;YUV;4:2:0\n"
    "NHVU;Nvidia Texture;;Nvidia Texture Format (GEForce 3);;;;\n"
    "NO16;RGB;;Theory None16 64bit uncompressed Uncompressed;;;;RGB\n"
    "NT00;YUV;LightWave;NewTek LightWave HDTV YUV with Alpha-channel;;;;YUV\n"
    "NTN1;NogaTech Video 1;;Nogatech Video Compression 1;;;;\n"
    "NTN2;NogaTech Video 2;;Nogatech Video Compression 2 (GrabBee hardware coder);;;;\n"
    "NUV1;Nuppel;;NuppelVideo;;;;\n"
    "NV12;YUV;;8-bit Y plane followed by an interleaved U/V plane with 2x2 subsampling;;;;YUV\n"
    "NV21;YUV;;As NV12 with U and V reversed in the interleaved plane;;;;YUV\n"
    "NVDS;Nvidia Texture;;Nvidia Texture Format;;;;\n"
    "NVHS;Nvidia Texture;;Nvidia Texture Format (GeForce 3);;;;\n"
    "NVHU;Nvidia Texture;;Nvidia Texture Format;;;;\n"
    "NVS0;Nvidia Texture;;Nvidia Texture Compression Format;;;;\n"
    "NVS1;Nvidia Texture;;Nvidia Texture Compression Format;;;;\n"
    "NVS2;Nvidia Texture;;Nvidia Texture Compression Format;;;;\n"
    "NVS3;Nvidia Texture;;Nvidia Texture Compression Format\n"
    "NVS4;Nvidia Texture;;Nvidia Texture Compression Format\n"
    "NVS5;Nvidia Texture;;Nvidia Texture Compression Format\n"
    "NVS6;Nvidia Texture;;Nvidia Texture Compression Format\n"
    "NVS7;Nvidia Texture;;Nvidia Texture Compression Format\n"
    "NVS8;Nvidia Texture;;Nvidia Texture Compression Format\n"
    "NVS9;Nvidia Texture;;Nvidia Texture Compression Format\n"
    "NVT0;Nvidia Texture;;Nvidia Texture Compression Format\n"
    "NVT1;Nvidia Texture;;Nvidia Texture Compression Format\n"
    "NVT2;Nvidia Texture;;Nvidia Texture Compression Format\n"
    "NVT3;Nvidia Texture;;Nvidia Texture Compression Format\n"
    "NVT4;Nvidia Texture;;Nvidia Texture Compression Format\n"
    "NVT5;Nvidia Texture;;Nvidia Texture Compression Format\n"
    "NVT6;Nvidia Texture;;Nvidia Texture Compression Format\n"
    "NVT7;Nvidia Texture;;Nvidia Texture Compression Format\n"
    "NVT8;Nvidia Texture;;Nvidia Texture Compression Format\n"
    "NVT9;Nvidia Texture;;Nvidia Texture Compression Format;;;;\n"
    "NY12;YUV;Nogatech;;;;;YUV\n"
    "NYUV;YUV;Nogatech;;;;;YUV\n"
    "ONYX;VP7;On2;;http://www.on2.com/vp7.php3;;;\n"
    "PCLE;Studio400;Pinnacle;;;;;\n"
    "PDVC;DV;Panasonic;;;;;YUV\n"
    "PGVV;Radius Video Vision;;;;;;\n"
    "PHMO;Photomotion;IBM;;;;;\n"
    "PIM1;JPEG;Pegasus;Pinnacle DC1000 hardware (MPEG compression);http://mirror01.iptelecom.net.ua/~video/codecs/PICVideo.Lossless.JPEG.codec.v2.10.27.exe;;;YUV\n"
    "PIM2;JPEG;Pegasus;Pegasus Imaging;http://mirror01.iptelecom.net.ua/~video/codecs/PICVideo.Lossless.JPEG.codec.v2.10.27.exe;;;YUV\n"
    "PIMJ;JPEG;Pegasus;Pegasus Imaging PICvideo Lossless JPEG;http://mirror01.iptelecom.net.ua/~video/codecs/PICVideo.Lossless.JPEG.codec.v2.10.27.exe;;;YUV\n"
    "PIXL;JPEG;Miro;MiroVideo XL (JPEG);;;;YUV\n"
    "PNG;PNG;;;;;;\n"
    "PNG1;PNG;;Corecodec.org CorePNG;;;;\n"
    "PVEZ;PowerEZ;;Horizons Technology PowerEZ;;;;\n"
    "PVMM;MPEG-4 Visual;Pegasus;PacketVideo Corporation MPEG-4;;;;YUV;4:2:0\n"
    "PVW2;Wavelet;Pegasus;Pegasus Imaging Wavelet 2000;;;;\n"
    "PVWV;Wavelet;Pegasus;Pegasus Imaging Wavelet 2000;;;;\n"
    "PXLT;Pixlet;;Apple Pixlet (Wavelet);;;;\n"
    "Q1.0;QPEG 1.0;;Q-Team QPEG 1.0;http://www.q-team.de;;;\n"
    "Q1.1;QPEG 1.1;;Q-Team QPEG 1.1;http://www.q-team.de;;;\n"
    "QDGX;Apple GX;;Apple QuickDUncompressed GX;;;;\n"
    "QDRW;Palettized Video;;Apple;;;;\n"
    "QPEG;QPEG 1.1;;Q-Team QPEG 1.1;;;;\n"
    "QPEQ;QPEG 1.1;;Q-Team QPEG 1.1;;;;\n"
    "R210;YUV;;BlackMagic YUV (Quick Time);;;;YUV\n"
    "R411;DV;Radius;Radius DV NTSC YUV;;;;YUV\n"
    "R420;DV;Radius;Radius DV PAL YUV;;;;YUV\n"
    "RAV_;MPEG-1;GroupTron;GroupTRON ReferenceAVI (dummy for MPEG compressor);;;;YUV;4:2:0\n"
    "RAVI;MPEG-1;GroupTron;GroupTRON ReferenceAVI (dummy for MPEG compressor);;;;YUV;4:2:0\n"
    "RAW ;RGB;;Full Frames (Uncompressed);;;;RGB\n"
    "raw ;RGB;;Full Frames (Uncompressed);http://www.apple.com/quicktime/download/standalone.html;;;RGB\n"
    "RGB ;RGB;;;;;;RGB;8:8:8\n"
    "RGB1;RGB;;;;;;RGB 3:3:2;3:3:2\n"
    "RGB2;RGB;;;;;;RGB 3:3:2;3:3:2\n"
    "RGBA;RGB;;;http://www.fourcc.org/indexrgb.htm;;;RGB\n"
    "RGBO;RGB;;Little Endian;;;;RGB 5:5:5;5:5:5\n"
    "RGBP;RGB;;Little Endian;;;;RGB 5:6:5;5:6:5\n"
    "RGBQ;RGB;;Big Endian;;;;RGB 5:5:5;5:5:5\n"
    "RGBR;RGB;;Big Endian;;;;RGB 5:6:5;5:6:5\n"
    "RGBT;RGBA;;;http://www.fourcc.org/indexrgb.htm;;;RGBA\n"
    "RIVA;Swizzled texture;;Nvidia;;;;\n"
    "RL4;RLE;;RLE 4bpp RGB;;;;RGB\n"
    "RL8;RLE;;RLE 8bpp RGB;;;;RGB\n"
    "RLE ;RLE;;RLE RGB with arbitrary sample packing within a pixel;http://www.fourcc.org/indexrgb.htm;;;RGB\n"
    "RLE4;RLE;;RLE 4bpp RGB;http://www.fourcc.org/indexrgb.htm;;;RGB\n"
    "RLE8;RLE;;RLE 8bpp RGB;http://www.fourcc.org/indexrgb.htm;;;RGB\n"
    "RLND;Roland;;Roland Corporation;;;;\n"
    "RMP4;MPEG-4 Visual;RealMagic;REALmagic MPEG-4 Video (Sigma Design, built on XviD);;;;YUV;4:2:0\n"
    "ROQV;Id RoQ;;Id RoQ File Video Decoder;;;;\n"
    "RT21;Intel Video 2.1;;Intel Real Time Video 2.1;;;;\n"
    "RTV0;NewTek VideoToaster;;NewTek VideoToaster (dummy format - only AVI header);;;;\n"
    "RUD0;Rududu;;Rududu video;;;;\n"
    "RV10;RealVideo 1;;H263, RealVideo 5;http://www.real.com;;;\n"
    "RV13;RealVideo 1;;H263, RealVideo 5;http://www.real.com;;;\n"
    "RV20;RealVideo 2;;H263, RealVideo 6;http://www.real.com;;;\n"
    "RV30;RealVideo 3;;Between H263 and H264, RealVideo 8;http://www.real.com;;;\n"
    "RV40;RealVideo 4;;H264, RealVideo 9;http://www.real.com;;;\n"
    "RVX ;RDX;;Intel RDX;;;;\n"
    "S263;H.263;;;http://ffdshow-tryout.sourceforge.net/;;;\n"
    "S422;YUV;VideoCap C210;VideoCap C210;;;;YUV\n"
    "SAN3;MPEG-4 Visual;;Direct copy of DivX 3.11;;;;YUV;4:2:0\n"
    "SANM;Smush v2;;LucasArts;http://www.lucasarts.com/;;;\n"
    "SCCD;SoftCam;;;;;;\n"
    "SDCC;DV;Sun;Sun Digital Camera;;;;YUV;4:1:1\n"
    "SEDG;MPEG-4 Visual;Samsung;Samsung MPEG-4;;;;YUV;4:2:0\n"
    "SEG4;Cinepak;;;http://www.sega.com/;;;\n"
    "SEGA;Cinepak;;;http://www.sega.com/;;;\n"
    "SFMC;CrystalNet;;CrystalNet Surface Fitting Method;;;;\n"
    "SHR0;BitJazz SheerVideo;;BitJazz SheerVideo (realtime lossless);;;;\n"
    "SHR1;BitJazz SheerVideo;;BitJazz SheerVideo (realtime lossless);;;;\n"
    "SHR2;BitJazz SheerVideo;;BitJazz SheerVideo (realtime lossless);;;;\n"
    "SHR3;BitJazz SheerVideo;;BitJazz SheerVideo (realtime lossless);;;;\n"
    "SHR4;BitJazz SheerVideo;;BitJazz SheerVideo (realtime lossless);;;;\n"
    "SHR5;BitJazz SheerVideo;;BitJazz SheerVideo (realtime lossless);;;;\n"
    "SHR6;BitJazz SheerVideo;;BitJazz SheerVideo (realtime lossless);;;;\n"
    "SHR7;BitJazz SheerVideo;;BitJazz SheerVideo (realtime lossless);;;;\n"
    "SIF1;SIF1;;;http://mysif.ru/SIF1_dd_Eng.htm;;;\n"
    "SJPG;JPEG;CuSeeMe;CuSeeMe;http://mirror01.iptelecom.net.ua/~video/codecs/CUseeMe.JPEG.CODEC.v1.17.exe;;;YUV\n"
    "SL25;DV;SoftLab DVCPro;SoftLab-NSK DVCPRO;;;;YUV;4:1:1\n"
    "SL50;DV;SoftLab DVCPro5;SoftLab-NSK ;;;;YUV;4:1:1\n"
    "SLDV;DV;SoftLab;SoftLab-NSK Forward DV Draw;;;;YUV;4:1:1\n"
    "SLIF;MPEG Video;SoftLab;SoftLab-NSK MPEG-2 I-frames;;;;YUV;4:2:0\n"
    "SLMJ;JPEG;SoftLab;SoftLab-NSK Forward JPEG;;;;YUV\n"
    "smc ;SMC;;Apple Graphics (SMC);http://www.apple.com/quicktime/download/standalone.html;;;\n"
    "SMSC;Radius;;;;;;\n"
    "SMSD;Radius;;;;;;\n"
    "SMSV;Wavelet Video;;WorldConnect Wavelet Streaming Video;;;;\n"
    "SNOW;Snow;;;http://ffdshow-tryout.sourceforge.net/;;;\n"
    "SP40;YUV;SunPlus;SunPlus YUV;;;;YUV\n"
    "SP44;MegaCam;;SunPlus Aiptek MegaCam;;;;\n"
    "SP53;MegaCam;;SunPlus Aiptek MegaCam;;;;\n"
    "SP54;MegaCam;;SunPlus Aiptek MegaCam;;;;\n"
    "SP55;MegaCam;;SunPlus Aiptek MegaCam;;;;\n"
    "SP56;MegaCam;;SunPlus Aiptek MegaCam;;;;\n"
    "SP57;MegaCam;;SunPlus Aiptek MegaCam;;;;\n"
    "SP58;MegaCam;;SunPlus Aiptek MegaCam;;;;\n"
    "SP61;MegaCam;;SunPlus Aiptek MegaCam;;;;\n"
    "SPIG;Spigot;;Radius Spigot;;;;\n"
    "SPLC;ACM audio;;Splash Studios ACM Audio;;;;\n"
    "SPRK;Spark;;;;;;\n"
    "SQZ2;VXTreme 2;;Microsoft VXTreme Video V2;;;;\n"
    "STVA;ST Imager;;ST Microelectronics CMOS Imager Data (Bayer);;;;\n"
    "STVB;ST Imager;;ST Microelectronics CMOS Imager Data (Nudged Bayer);;;;\n"
    "STVC;ST Imager;;ST Microelectronics CMOS Imager Data (Bunched);;;;\n"
    "STVX;ST Imager;;ST Microelectronics CMOS Imager Data (Extended Data Format);;;;\n"
    "STVY;ST Imager;;ST Microelectronics CMOS Imager Data (Extended Data Format with Correction Data);;;;\n"
    "SV10;Sorenson;;Sorenson Media Video R1;;;;\n"
    "SVQ1;AVC;Sorenson 1;Sorenson Media Video 1 (Apple QuickTime 3);;;;\n"
    "SVQ2;AVC;Sorenson 2;Sorenson Media Video 2 (Apple QuickTime 4);;;;\n"
    "SVQ3;AVC;Sorenson 3;Sorenson Media Video 3 (Apple QuickTime 5);;;;\n"
    "SWC1;JPEG;MainConcept;MainConcept JPEG;;;;YUV\n"
    "T420;YUV;Toshiba;Toshiba YUV 4:2:0;;;;YUV\n"
    "TGA ;TGA;Apple;Apple TGA (with Alpha-channel)\n"
    "THEO;Theora;;FFVFW Supported\n"
    "TIFF;Apple TIFF;;Apple TIFF (with Alpha-channel)\n"
    "TIM2;Pinnacle DVI;;Pinnacle RAL DVI\n"
    "TLMS;TeraLogic;;TeraLogic Motion Intraframe\n"
    "TLST;TeraLogic;;TeraLogic Motion Intraframe\n"
    "TM10;Duck;;Duck TrueMotion\n"
    "TM20;Duck 2;;Duck TrueMotion 2.0\n"
    "TM2A;Duck Archiver 2;;Duck TrueMotion Archiver 2.0\n"
    "TM2X;Duck 2;;Duck TrueMotion 2X\n"
    "TMIC;TeraLogic;;TeraLogic Motion Intraframe\n"
    "TMOT;Horizons TM S;;Horizons Technology TrueMotion Video\n"
    "TR20;Duck TM RT2;;Duck TrueMotion RT 2.0\n"
    "TRLE;Akula;;Akula Alpha Pro Custom AVI (LossLess)\n"
    "TSCC;TechSmith;;TechSmith Screen Capture\n"
    "tscc;TechSmith;;TechSmith Screen Capture\n"
    "TV10;Tecomac;;Tecomac Low-Bit Rate;;;;\n"
    "TVJP;Pinnacle/Truevision;;TrueVision Field Encoded JPEG (Targa emulation);;;;\n"
    "TVMJ;Pinnacle/Truevision;;Truevision TARGA JPEG Hardware (or Targa emulation);;;;\n"
    "TY0N;Trident;;Trident Decompression Driver;;;;\n"
    "TY2C;Trident;;Trident Decompression Driver;;;;\n"
    "TY2N;Trident;;Trident Decompression Driver;;;;\n"
    "U<Y ;YUV;Discreet;Discreet UC YUV 4:2:2:4 10 bit;;;;YUV\n"
    "U<YA;YUV;Discreet;Discreet UC YUV 4:2:2:4 10 bit (with Alpha-channel);;;;YUV\n"
    "U263;H.263;UB;UB Video H.263/H.263+/H.263++ Decoder;http://eMajix.com;;;\n"
    "UCOD;ClearVideo;;ClearVideo (fractal compression-based);;;;\n"
    "ULRA;RGBA;Ut Video;Ut Video Lossless Codec;http://umezawa.dyndns.info/archive/utvideo;;;RGBA;4:4:4:4\n"
    "ULRG;RGB;Ut Video;Ut Video Lossless Codec;http://umezawa.dyndns.info/archive/utvideo;;;RGB;4:4:4\n"
    "ULTI;Ultimotion;;IBM Ultimotion;;;;\n"
    "ULY0;YUV;Ut Video;Ut Video Lossless Codec;http://umezawa.dyndns.info/archive/utvideo;;;YUV;4:2:0\n"
    "ULY2;YUV;Ut Video;Ut Video Lossless Codec;http://umezawa.dyndns.info/archive/utvideo;;;YUV;4:2:2\n"
    "UMP4;MPEG-4 Visual;UB;UB Video MPEG 4;http://www.fourcc.org/indexyuv.htm;;;YUV;4:2:0\n"
    "UYNV;YUV;;Nvidia 16bpp. A direct copy of UYVY registered by Nvidia to work around problems in some olds which did not like hardware which offered more than 2 UYVY surfaces.;http://www.fourcc.org/indexyuv.htm;;;YUV\n"
    "UYVP;YUV;;Evans & Sutherland 24bpp. YUV 4:2:2 extended precision 10-bits per component in U0Y0V0Y1 order;;;;YUV\n"
    "UYVU;YUV;SoftLab;SoftLab-NSK Forward YUV;http://www.fourcc.org/indexyuv.htm;;;YUV\n"
    "UYVY;YUV;;Uncompressed 16bpp. YUV 4:2:2 (Y sample at every pixel, U and V sampled at every second pixel horizontally on each line). A macropixel contains 2 pixels in 1 u_int32.;;;;YUV;4:2:2\n"
    "V210;YUV;;Optibase VideoPump 10-bit 4:2:2 Component YUV;;;;\n"
    "v210;YUV;AJA Video Systems Xena;;;;;YUV;4:2:2\n"
    "V261;VX3000S;;Lucent VX3000S;;;;\n"
    "V422;YUV;Vitec;;;;;YUV;4:2:2\n"
    "V655;YUV;Vitec;Vitec Multimedia 16 bit YUV 4:2:2 (6:5:5) format;;;;YUV\n"
    "VBLE;MarcFD VBLE;;MarcFD VBLE Lossless;;;;\n"
    "VCR1;ATI Video 1;;ATI VCR 1.0;;;;\n"
    "VCR2;ATI Video 2;;ATI VCR 2.0 (MPEG YV12);;;;\n"
    "VCR3;ATI Video 3;;ATI VCR 3.0;;;;\n"
    "VCR4;ATI Video 4;;ATI VCR 4.0;;;;\n"
    "VCR5;ATI Video 5;;ATI VCR 5.0;;;;\n"
    "VCR6;ATI Video 6;;ATI VCR 6.0;;;;\n"
    "VCR7;ATI Video 7;;ATI VCR 7.0;;;;\n"
    "VCR8;ATI Video 8;;ATI VCR 8.0;;;;\n"
    "VCR9;ATI Video 9;;ATI VCR 9.0;;;;\n"
    "VCWV;Wavelet;;VideoCon;;;;\n"
    "VDCT;RGB;VideoMaker;Video Maker Pro DIB;;;;RGB\n"
    "VDOM;VDOWave;;VDONet Wave;;;;\n"
    "VDOW;VDOLive;;VDONet Live (H,263);;;;\n"
    "VDST;VirtualDub;;VirtualDub remote frameclient ICM driver;;;;\n"
    "VDTZ;YUV;;VideoTizer / Darim Vision YUV;;;;YUV;4:2:2\n"
    "VGPX;VGP;;Alaris VideoGramPixel;;;;\n"
    "VIDM;MPEG-4 Visual;DivX 5 Pro;DivX 5.0 Pro Supported;;;;YUV;4:2:0\n"
    "VIDS;Vitec;;Vitec Multimedia YUV 4:2:2;www.yks.ne.jp/~hori/;;;\n"
    "VIFP;VFAPI;;Virtual Frame API (VFAPI dummy format);;;;\n"
    "VIV1;H.263;Vivo;;;;;\n"
    "VIV2;H.263;Vivo;;;;;\n"
    "VIVO;H.263;Vivo;;;;;\n"
    "VIXL;JPEG;Miro XL;Miro Video XL;http://mirror01.iptelecom.net.ua/~video/codecs/miroVIDEO-XL.codec.v2.2.exe;;;YUV\n"
    "VJPG;JPEG;;;;;;YUV\n"
    "VLV1;Videologic;;;;;;\n"
    "VMNC;Vmware;;;http://www.vmware.com/;;;\n"
    "VP30;VP3;On2;;;;;\n"
    "VP31;VP3;On2;;;;;\n"
    "VP32;VP3;On2;;;;;\n"
    "VP40;VP4;On2;;;;;\n"
    "VP50;VP5;On2;;;;;\n"
    "VP60;VP6;On2;;http://ftp.pub.cri74.org/pub/win9x/video/codecs/VP6/vp6_vfw_codec.exe;Simple;;\n"
    "VP61;VP6;On2;;http://ftp.pub.cri74.org/pub/win9x/video/codecs/VP6/vp6_vfw_codec.exe;Advanced;;\n"
    "VP62;VP6;On2;;http://ftp.pub.cri74.org/pub/win9x/video/codecs/VP6/vp6_vfw_codec.exe;Heightened Sharpness;;\n"
    "VP6A;VP6;On2;;http://ftp.pub.cri74.org/pub/win9x/video/codecs/VP6/vp6_vfw_codec.exe;Alpha;;\n"
    "VP6F;VP6;On2;;http://ftp.pub.cri74.org/pub/win9x/video/codecs/VP6/vp6_vfw_codec.exe;Heightened Sharpness;;\n"
    "VP70;VP7;On2;;;General;;\n"
    "VP71;VP7;On2;;;Error Resilient;;\n"
    "VP72;VP7;On2;;;;;\n"
    "VP80;VP8;;;http://www.webmproject.org;;;YUV;4:2:0\n"
    "VQC1;Vector 1;;Vector-quantised 1 (high compression) http://eprints.ecs.soton.ac.uk/archive/00001310/01/VTC97-js.pdf;;;;\n"
    "VQC2;Vector 2;;Vector-quantised 2 (high robustness against channel errors) http://eprints.ecs.soton.ac.uk/archive/00001310/01/VTC97-js.pdf;;;;\n"
    "VQJP;VQ630;;Dual-mode digital camera;;;;\n"
    "VQS4;VQ110;;DV camera;;;;\n"
    "VR21;YUV;BlckMagic;BlackMagic YUV (Quick Time);;;;YUV\n"
    "VSSH;AVC;Vanguard VSS;;;;;YUV;4:2:0\n"
    "VSSV;Vanguard Video;Vanguard VSS;;;;;\n"
    "VSSW;AVC;Vanguard VSS;;;;;YUV;4:2:0\n"
    "VTLP;GGP;;Alaris VideoGramPixel;;;;\n"
    "VX1K;DVX 1 S;;Lucent VX1000S Video;;;;\n"
    "VX2K;DVX 2 S;;Lucent VX2000S Video;;;;\n"
    "VXSP;DVX 1 SP;;Lucent VX1000SP Video;;;;\n"
    "VYU9;YUV;ATI;;;;;YUV\n"
    "VYUY;YUV;ATI;;;;;YUV\n"
    "WBVC;W9960;;Winbond Electronics W9960;;;;\n"
    "WHAM;Microsoft Video 1;;;;;;\n"
    "WINX;Winnov;;;;;;\n"
    "WJPG;JPEG;Winbond ;Winbond JPEG (AverMedia USB devices);;;;YUV\n"
    "WMV1;WMV1;;Windows Media Video 7;http://www.microsoft.com/windows/windowsmedia/format/codecdownload.aspx;;;\n"
    "WMV2;WMV2;;Windows Media Video 8;http://www.microsoft.com/windows/windowsmedia/format/codecdownload.aspx;;;\n"
    "WMV3;VC-1;WMV3;Windows Media Video 9;http://www.microsoft.com/windows/windowsmedia/format/codecdownload.aspx;;;\n"
    "WMVA;VC-1;WMV;Windows Media Video;http://ffdshow-tryout.sourceforge.net/;;;\n"
    "WMVP;WMV3;;Windows Media Video V9;;;;\n"
    "WNIX;WniWni;;WniWni;;;;\n"
    "WNV1;WinNov;;WinNov Videum Hardware Compression;http://www.winnov.com/;;;\n"
    "WNVA;WinNov;;WinNov Videum Hardware Compression;http://www.winnov.com/;;;\n"
    "WRLE;RGB;Apple;Apple QuickTime BMP;;;;RGB\n"
    "WRPR;AVideoTools;;VideoTools VideoServer Client (wrapper for AviSynth);;;;\n"
    "WV1F;;;;http://ffdshow-tryout.sourceforge.net/;;;\n"
    "WVC1;VC-1;Microsoft;;;;;\n"
    "WVLT;IllusionHope Wavelet 9/7;;IllusionHope Wavelet 9/7;;;;\n"
    "WVP2;;;;http://ffdshow-tryout.sourceforge.net/;;;\n"
    "WZCD;iScan;;CORE Co. Ltd.;;;;\n"
    "WZDC;iSnap;;CORE Co. Ltd.;;;;\n"
    "X263;H.263;Xirlink;;;;;\n"
    "X264;AVC;;XiWave GNU GPL x264 MPEG-4;;;;\n"
    "XJPG;JPEG;Xirlink;;;;;YUV\n"
    "XLV0;NetXL Video;;NetXL Inc. XL Video Decoder;;;;\n"
    "XMPG;MPEG Video;Xing;XING MPEG (I frame only);;;;YUV;4:2:0\n"
    "XVID;MPEG-4 Visual;XviD;;http://mediaarea.net/XVID;;;YUV;4:2:0\n"
    "XVIX;MPEG-4 Visual;XviD;Based on XviD MPEG-4;http://www.xvid.org/Downloads.15.0.html;;;YUV;4:2:0\n"
    "XWV0;XiWave Video;;;;;;\n"
    "XWV1;XiWave Video;;;;;;\n"
    "XWV2;XiWave Video;;;;;;\n"
    "XWV3;XiWave Video;;;;;;\n"
    "XWV4;XiWave Video;;;;;;\n"
    "XWV5;XiWave Video;;;;;;\n"
    "XWV6;XiWave Video;;;;;;\n"
    "XWV7;XiWave Video;;;;;;\n"
    "XWV8;XiWave Video;;;;;;\n"
    "XWV9;XiWave Video;;;;;;\n"
    "XXAN;Origin VideoGame;;Used in Wing Commander 3 and 4;;;;\n"
    "XYZP;YUV;;Extended PAL format XYZ palette;;;;YUV\n"
    "Y211;YUV;;Packed YUV format with Y sampled at every second pixel across each line and U and V sampled at every fourth pixel;;;;YUV\n"
    "Y216;YUV;Targa;Pinnacle TARGA CineWave YUV (Quick Time);;;;YUV\n"
    "Y411;YUV;;YUV 4:1:1 Packed;;;;YUV;4:1:1\n"
    "Y41B;YUV;;YUV 4:1:1 Planar;;;;YUV;4:1:1\n"
    "Y41P;YUV;;Conexant (ex Brooktree) YUV 4:1:1 Raw;http://www.fourcc.org/indexyuv.htm;;;YUV;4:1:1\n"
    "Y41T;YUV;;Format as for Y41P, but the lsb of each Y component is used to signal pixel transparency;;;;YUVA;4:1:1\n"
    "Y422;YUV;;Direct copy of UYVY as used by ADS Technologies Pyro WebCam firewire camera;;;;YUV;4:2:2\n"
    "Y42B;YUV;;YUV 4:2:2 Planar;;;;YUV;4:2:2\n"
    "Y42T;YUV;;Format as for UYVY, but the lsb of each Y component is used to signal pixel transparency;;;;YUVA;4:2:2\n"
    "Y444;YUV;;IYU2 (iRez Stealth Fire camera);;;;YUV\n"
    "Y8  ;GrayScale;;Simple grayscale video;;;;Y\n"
    "Y800;GrayScale;;Simple grayscale video;;;;Y\n"
    "YC12;YUV;;Intel YUV12;http://www.fourcc.org/indexyuv.htm;;;YUV\n"
    "YCCK;YUV;;;;;;YUV\n"
    "YMPG;MPEG-PS;;YMPEG Alpha (dummy for MPEG-2 compressor);;;;\n"
    "YU12;YUV;;ATI YV12 4:2:0 Planar;;;;YUV;4:2:0\n"
    "YU92;YUV;;Intel - YUV;;;;YUV\n"
    "YUNV;YUV;;A direct copy of YUY2 registered by Nvidia to work around problems in some olds which did not like hardware that offered more than 2 YUY2 surfaces;;;;YUV\n"
    "YUV2;YUV;;Apple Component Video (YUV 4:2:2);http://www.apple.com/quicktime/download/standalone.html;;;YUV;\n"
    "YUV8;YUV;;Winnov Caviar YUV8 ;http://www.fourcc.org/indexyuv.htm;;;YUV;\n"
    "YUV9;YUV;;Intel YUV9;;;;YUV;\n"
    "YUVP;YUV;;YUV 4:2:2 extended precision 10-bits per component in Y0U0Y1V0 order;;;;YUV;4:2:2;10\n"
    "YUY2;YUV;;YUV 4:2:2 as for UYVY but with different component ordering within the u_int32 macropixel;http://www.fourcc.org/indexyuv.htm;;;YUV;4:2:2\n"
    "YUYP;YUV;;Evans & Sutherland;;;;YUV;\n"
    "YUYV;YUV;;Canopus YUV format;http://www.fourcc.org/indexyuv.htm;;;YUV;\n"
    "YV12;YUV;;ATI YVU12 4:2:0 Planar;http://www.fourcc.org/indexyuv.htm;;;YUV;4:2:0\n"
    "YV16;YUV;;Elecard YUV 4:2:2 Planar;;;;YUV;4:2:2\n"
    "YV92;YUV;;Intel Smart Video Recorder YVU9;;;;YUV;\n"
    "YVU9;YUV;;Brooktree YVU9 Raw (YVU9 Planar);http://www.fourcc.org/indexyuv.htm;;;YUV;\n"
    "YVYU;YUV;;YUV 4:2:2 as for UYVY but with different component ordering within the u_int32 macropixel;;;;YUV;4:2:2\n"
    "ZLIB;AVIzlib;;Lossless (ZIP compression);;;;;\n"
    "ZMBV;Zip;;Zip Motion Blocks Video;;;;;\n"
    "ZPEG;Video Zipper;;Metheus Video Zipper;;;;;\n"
    "ZYGO;ZyGo;;ZyGo Video;;;;;\n"
    ));
    Info.Separator_Set(0, ZenLib::EOL);
}

//---------------------------------------------------------------------------
void MediaInfo_Config_CodecID_Audio_Riff (InfoMap &Info)
{
    Info.Separator_Set(0, __T("\n"));
    Info.Write(Ztring().From_UTF8(
    "0;;;;\n"
    "1;PCM;;;http://www.microsoft.com/windows/\n"
    "2;ADPCM;;;http://www.microsoft.com/windows/\n"
    "3;PCM;IEEE ;;http://www.microsoft.com/windows/;Float\n"
    "4;VSELP;Compaq;;\n"
    "5;CVSD;IBM;;\n"
    "6;ADPCM;CCITT;;http://www.microsoft.com/windows/;A-Law\n"
    "7;ADPCM;CCITT;;http://www.microsoft.com/windows/;U-Law\n"
    "8;DTS;;Digital Theater Systems;\n"
    "9;DRM;Microsoft;;\n"
    "A;WMA;;Windows Media Audio;http://www.microsoft.com/windows/windowsmedia/format/codecdownload.aspx;Voice\n"
    "C;MPEG Audio;;;;MPEG-2 5.1\n"
    "10;ADPCM;OKI;;\n"
    "11;ADPCM;Intel;;\n"
    "12;ADPCM;Mediaspace;;\n"
    "13;ADPCM;Sierra;;\n"
    "14;ADPCM;Antex;G.723\n"
    "15;STD;DSP solutions;\n"
    "16;FIX;DSP solutions;\n"
    "17;ADPCM;Dialogic-OKI;;http://www.microsoft.com/windows/\n"
    "18;ADPCM;;\n"
    "19;CU;HP;\n"
    "1A;Dynamic Voice;HP;\n"
    "20;ADPCM;Yamaha;\n"
    "21;SONARC;Speech Compression;\n"
    "22;Truespeech;DSP Group;;http://www.microsoft.com/windows/\n"
    "23;SC1;Echo Speech;\n"
    "24;AudioFile 36;Virtual Music ;\n"
    "25;APTX;;Audio Processing Technology X\n"
    "26;AudioFile 10;Virtual Music;\n"
    "27;Prosody 1612;Aculab plc;\n"
    "28;LRC;Merging Technologies;\n"
    "30;AC-2;Dolby Laboratories;\n"
    "31;GSM 6.10;Microsoft;;http://www.microsoft.com/windows/\n"
    "32;Microsoft Audio;;\n"
    "33;ADPCM;Antex;\n"
    "34;VQLPC;Control Ressources;\n"
    "35;REAL;DSP Solutions;\n"
    "36;ADPCM;DSP Solutions;\n"
    "37;CR10;;Control Resources 10\n"
    "38;ADPCM;Natural MicroSystems VBX;\n"
    "39;ADPCM;Crystal Semiconductor IMA;\n"
    "3A;SC3;Echo Speech;\n"
    "3B;ADPCM;Rockwell;\n"
    "3C;DigiTalk;Rockwell DigiTalk;\n"
    "3D;Xebec;;Xebec Multimedia Solutions\n"
    "40;ADPCM;Antex Electronics;G.721\n"
    "41;CELP;Antex Electronics;G.728\n"
    "42;G.723.1;Microsoft;;http://www.microsoft.com/windows/;\n"
    "42;ADPCM;;IBM;;\n"
    "42;G.729;Microsoft;;;\n"
    "45;ADPCM;Microsoft;G.726;http://www.microsoft.com/windows/;\n"
    "50;MPEG Audio;;;http://www.iis.fraunhofer.de/amm/index.html;;Version 1\n"
    "51;MPEG Audio;;;http://www.iis.fraunhofer.de/amm/index.html;;Version 2\n"
    "52;RT24;InSoft, Inc.;;;\n"
    "53;PAC;InSoft, Inc.;;;\n"
    "55;MPEG Audio;MP3;;http://www.iis.fraunhofer.de/amm/index.html;\n"
    "59;G.723;Lucent;G.723;;\n"
    "60;Cirrus;;Cirrus Logic;;\n"
    "61;PCM;ESS Technology;;;\n"
    "62;Voxware;;;;\n"
    "63;Atrac;Canopus;;;\n"
    "64;ADPCM;APICOM;G.726;;\n"
    "65;ADPCM;APICOM;G.722;;\n"
    "66;DSAT;Microsoft;\n"
    "67;DSAT Display;Microsoft;\n"
    "69;BYTE_ALIGNED;Voxware;;http://www.voxware.com/\n"
    "70;AC8;Voxware;;http://www.voxware.com/\n"
    "71;AC10;Voxware;;http://www.voxware.com/\n"
    "72;AC16;Voxware;;http://www.voxware.com/\n"
    "73;AC20;Voxware;;http://www.voxware.com/\n"
    "74;RT24;Voxware;MetaVoice;http://www.voxware.com/\n"
    "75;RT29;Voxware;MetaSound;http://www.voxware.com/\n"
    "76;RT29HW;Voxware;;http://www.voxware.com/\n"
    "77;VR12;Voxware;;http://www.voxware.com/\n"
    "78;VR18;Voxware;;http://www.voxware.com/\n"
    "79;TQ40;Voxware;;http://www.voxware.com/\n"
    "7A;SC3;Voxware;\n"
    "7B;SC3;Voxware;\n"
    "80;Softsound;;\n"
    "81;TQ60;Voxware;;http://www.voxware.com/\n"
    "82;MSRT24;Microsoft;\n"
    "83;G.729a;AT&T;\n"
    "84;MVI_MVI2;Motion Pixels;\n"
    "85;ADPCM;DataFusion Systems;G.726\n"
    "86;GSM 6.10;DataFusion Systems;\n"
    "88;ISI AUDIO;;Iterated Systems AUDIO\n"
    "89;Onlive;;OnLive! Technologies\n"
    "8A;SX20;Multitude;\n"
    "8B;ADPCM;Infocom ITS A/S;\n"
    "8C;G.729;Convedia Corporation;\n"
    "91;SBC24;;Siemens Business Communications Sys 24\n"
    "92;AC-3;Sonic Foundry;\n"
    "93;G.723;MediaSonic;\n"
    "94;Prosody 8KBPS;Aculab plc;\n"
    "97;ADPCM;ZyXEL Communications;\n"
    "98;LPCBB;Philips Speech Processing;;\n"
    "99;Packed;;Studer Professional Audio AG Packed;\n"
    "A0;PHONYTALK;Malden Electronics;;\n"
    "A1;GSM;Racal Recorders;;\n"
    "A2;G.720a;Racal Recorders;;\n"
    "A3;G.723.1;Racal Recorders;;\n"
    "A4;ACELP;Racal Recorders;;\n"
    "B0;AAC;NEC Corporation;;\n"
    "FF;AAC;;;\n"
    "100;ADPCM;;;\n"
    "101;IRAT;BeCubed;;\n"
    "102;ADPCM;IBM;;;A-law\n"
    "103;ADPCM;IBM AVC;;\n"
    "111;G.723;Vivo;;\n"
    "112;SIREN;Vivo;;\n"
    "120;CELP;Philips Speech Processing;;\n"
    "121;Grundig;Philips Speech Processing;;\n"
    "123;G.723;Digital Equipment Corporation;;\n"
    "125;ADPCM;;;\n"
    "130;ACELP;Sipro;;http://dividix.host.sk;.net\n"
    "131;ACELP;Sipro;;;4800\n"
    "132;ACELP;Sipro;;;8V3\n"
    "133;G.729;Sipro;;\n"
    "134;G.729a;Sipro;;\n"
    "135;KELVIN;Sipro;;\n"
    "135;AMR;VoiceAge Corporation;;\n"
    "140;ADPCM;Dictaphone Corporation;G.726;\n"
    "140;CELP68;Dictaphone Corporation;;\n"
    "140;CELP54;Dictaphone Corporation;;\n"
    "150;PureVoice;Qualcomm;;\n"
    "151;HalfRate;Qualcomm;;\n"
    "155;TUBGSM;Ring Zero Systems;;\n"
    "160;WMA;;Windows Media Audio;http://www.microsoft.com/windows/windowsmedia/format/codecdownload.aspx;;Version 1\n"
    "161;WMA;;Windows Media Audio;http://www.microsoft.com/windows/windowsmedia/format/codecdownload.aspx;;Version 2\n"
    "162;WMA;;Windows Media Audio;http://www.microsoft.com/windows/windowsmedia/format/codecdownload.aspx;Pro\n"
    "163;WMA;;Windows Media Audio;http://www.microsoft.com/windows/windowsmedia/format/codecdownload.aspx;Lossless\n"
    "170;ADPCM;Unisys Nap;;;\n"
    "171;ADPCM;Unisys Nap;;;U-law\n"
    "172;ADPCM;Unisys Nap;;;A-law\n"
    "173;16K;Unisys Nap;;;\n"
    "174;G.700;SyCom Technologies;;;\n"
    "175;ADPCM;SyCom Technologies;;;\n"
    "176;CELP54;SyCom Technologies;;;\n"
    "177;CELP68;SyCom Technologies;;;\n"
    "178;ADPCM;Knowledge Adventure, Inc.;;;\n"
    "180;AAC;Fraunhofer IIS;;;\n"
    "190;DTS;;Digital Theater Systems;;\n"
    "200;ADPCM;Creative Labs;;;\n"
    "202;Fast Speech 8;Creative Labs\n"
    "203;Fast Speech 10;Creative Labs\n"
    "210;ADPCM;UHER informatic GmbH\n"
    "215;ACM;Ulead\n"
    "216;ACM;Ulead\n"
    "220;QuaterDeck;\n"
    "230;VC;;I-link VC\n"
    "240;RAW_SPORT;;Aureal\n"
    "241;AC-3;ESST\n"
    "250;HSX;Interactive Products, Inc.\n"
    "251;RPELP;Interactive Products, Inc.\n"
    "260;CS2;Consistent Software\n"
    "270;Atrac3;Sony\n"
    "271;SCY;Sony\n"
    "272;Atrac3;Sony\n"
    "273;SPC;Sony\n"
    "280;Telum;;\n"
    "281;TelumIA;;\n"
    "285;ADPCM;Norcom Voice Systems;\n"
    "300;FM_TOWNS_SND;Fujitsu;\n"
    "350;Dev;Micronas Semiconductors, Inc.;\n"
    "351;CELP833;Micronas Semiconductors, Inc.;\n"
    "400;DIGITAL;Brooktree;\n"
    "401;Music Coder;Intel;;http://www.intel.com/\n"
    "402;IAC2;Ligos;;http://www.ligos.com\n"
    "450;Qdesign;;QDesign Music\n"
    "500;VP7;;On2\n"
    "501;VP6;;On2\n"
    "680;VM;;AT&T VME_VMPCM\n"
    "681;TPC;;AT&T TPC\n"
    "700;YMPEG;;YMPEG Alpha\n"
    "8AE;LiteWave;;ClearJump LiteWave\n"
    "AAC;AAC;;;\n"
    "1000;GSM;Ing C. Olivetti & C., S.p.A.;;\n"
    "1001;ADPCM;Ing C. Olivetti & C., S.p.A.;;\n"
    "1002;CELP;Ing C. Olivetti & C., S.p.A.;;\n"
    "1003;SBC;Ing C. Olivetti & C., S.p.A.;;\n"
    "1004;OPR;Ing C. Olivetti & C., S.p.A.;;\n"
    "1100;LH_CODEC;Lernout & Hauspie; Codec;\n"
    "1101;CELP;Lernout & Hauspie;;http://www.microsoft.com/windows/;4.8 kb/s\n"
    "1102;SBC;Lernout & Hauspie;;http://www.microsoft.com/windows/;8 kb/s\n"
    "1103;SBC;Lernout & Hauspie;;http://www.microsoft.com/windows/;12 kb/s\n"
    "1104;SBC;Lernout & Hauspie;;http://www.microsoft.com/windows/;16 kb/s\n"
    "1400;Norris;;Norris Communications, Inc.;\n"
    "1401;ISIAudio;;;\n"
    "1500;MUSICOMPRESS;;Soundspace Music Compression;\n"
    "181C;RT24;VoxWare;;\n"
    "181E;AX24000P;Lucent elemedia;;\n"
    "1971;SonicFoundry;;Lossless\n"
    "1C03;ADPCM;Lucent;G.723\n"
    "1C07;SX8300P;Lucent\n"
    "1C0C;ADPCM;Lucent;G.723\n"
    "1F03;DigiTalk;;CUseeMe (ex-Rocwell)\n"
    "1FC4;ALF2CD;NCT Soft\n"
    "2000;AC-3;\n"
    "2001;DTS;;Digital Theater Systems\n"
    "2002;VSELP;;RealAudio 1/2 14.4\n"
    "2003;VSELP;;RealAudio 1/2 28.8\n"
    "2004;Cooker;;RealAudio G2/8 Cook (low bitrate)\n"
    "2005;DNET;;RealAudio 3/4/5 Music (DNET)\n"
    "2006;AAC;;RealAudio 10 AAC (RAAC)\n"
    "2007;AAC;;RealAudio 10 AAC+ (RACP)\n"
    "2048;Sonic;\n"
    "3313;AviSynth;;makeAVIS (fake AVI sound from AviSynth scripts)\n"
    "4143;AAC;;Divio MPEG-4 AAC audio;;\n"
    "4201;Nokia;;;;\n"
    "4243;ADPCM;;G.726;;\n"
    "43AC;Speex;;;;\n"
    "564C;Vorbis;;;;\n"
    "566F;Vorbis;;;http://www.vorbis.com;\n"
    "5756;WavPack;;;http://www.wavpack.com/;\n"
    "674F;Vorbis;;;http://www.vorbis.com;;Mode 1\n"
    "6750;Vorbis;;;http://www.vorbis.com;;Mode 2\n"
    "6751;Vorbis;;;http://www.vorbis.com;;Mode 3\n"
    "676F;Vorbis;;;http://www.vorbis.com;;Mode 1+\n"
    "6770;Vorbis;;;http://www.vorbis.com;;Mode 2+\n"
    "6771;Vorbis;;;http://www.vorbis.com;;Mode 3+\n"
    "8180;AAC\n"
    "7A21;AMR;;GSM-AMR (CBR, no SID);http://www.microsoft.com;\n"
    "7A22;AMR;;GSM-AMR (VBR, including SID);http://www.microsoft.com;\n"
    "A100;G.723.1;;;;\n"
    "A101;AVQSBC;;\n"
    "A102;ODSBC;;\n"
    "A103;G729A;;\n"
    "A104;AMR;;\n"
    "A105;ADPCM;;G.726\n"
    "A106;AAC;;\n"
    "A107;ADPCM;;G.726\n"
    "A109;Speex;;;http://www.speex.org/\n"
    "DFAC;FrameServer;;DebugMode SonicFoundry Vegas FrameServer ACM Codec\n"
    "F1AC;FLAC;;Free Lossless Audio Codec\n"
    "FFFE;Extensible;;\n"
    "FFFF;In Development;;\n"
    "58CB7144-23E9-BFAA-A119-FFFA01E4CE62;Atrac3;;\n"
    "AD98D184-AAC3-11D0-A41C-00A0C9223196;VC;;\n"
    "05589F81-C356-11CE-BF01-00AA0055595A;WaveFormatEx;;\n"
    "518590A2-A184-11D0-8522-00C04FD9BAF3;DSound;;\n"
    ));
    Info.Separator_Set(0, ZenLib::EOL);
}

InfoMap List_Video;
Ztring Format_FromCodecID_Video(int32u CodecID)
{
    if (List_Video.empty())
        MediaInfo_Config_CodecID_Video_Riff(List_Video);
    return List_Video.Get(Ztring().From_CC4(CodecID), 1);
}

InfoMap List_Audio;
Ztring Format_FromCodecID_Audio(int32u CodecID)
{
    if (List_Audio.empty())
        MediaInfo_Config_CodecID_Audio_Riff(List_Audio);
    return List_Audio.Get(Ztring().From_Number(CodecID, 16), 1);
}

} //Namespace